Figure - 0 O Dev #110694
0 O Dev#110122 (New): D MKO 00 0O
0 O Dev#110126 (New): 0 MKO DAFO 000 O
0 MKO O AFO O Fotal O TC-RID: 1201-020040100
2022-07-25 16:59 - CD FW- [

Status: 0 O Closed Start date: 2022-07-25
Priority: Normal Due date:

Assignee: CDBSPO [ % Done: 90%
Category: Estimated time: 0.00 hour
Target version: VX1_MCE_FSE_V3.0_update_20221130

Description
MCE:

dooooooo,oobobobooooovxXigga

VCL:

gODolPOOODOODOOOOOODOO
gbooorvmboboboooooobosgboosbko

07_Appendix_ C3 OTAD OO OOOOOECUD OODOOOO _V3.0.docx
https://thundersoft.feishu.cn/file/boxcnH61MgFw7jutMfEXX8v7EKY

OTAODOODOODOO .pdf
https://thundersoft.feishu.cn/file/boxcnxQQKCAfb3Vx8oHhcdzxFg

HH_FOTA_Orch-simulator test tool-20211123.pdf
https://thundersoft.feishu.cn/file/boxcnOkNty IQvHY QJV XegDrcesf
History

#1-2022-07-2517:27-CD FW-0O O
- Assignee set to CD FW-0O O

#2 - 2022-08-04 19:42 - CD FW-O O
- Subject changed from 0 MKO O 0040 O Fotald O TC-RID: 0301-02004010 to O MKO O 0040 O Fotal O TC-RID: 1201-02004010

#3 - 2022-08-05 11:15- CD FW-0O O
- Assignee changed from CD FW-0O O to FW&MW20O _DLTSO O O

#4 - 2022-09-08 08:26 - CD FW-0 O
- Subject changed from 0 MKO O 0040 O Fotall O TC-RID: 1201-02004010 to 0 MKO O AFCO O Fotad O TC-RID: 1201-020040100

#5 - 2022-09-08 08:36 - CD FW- 0
- Assignee changed from FW&MW2 _DLTSO O O toCD FW-0O O

#6 - 2022-09-26 20:09 - CD FW-0 O
- Target version set to VX1_MCE_FSE_V3.0_update 20221130

2025-07-04



https://thundersoft.feishu.cn/file/boxcnH61MgFw7jutMffXX8v7FKY
https://thundersoft.feishu.cn/file/boxcnxQQKCAf5b3Vx8oHhcdzxFg
https://thundersoft.feishu.cn/file/boxcn0kNtyIQvHYQJVXegDrcesf

#7-2022-11-08 13:43 - CD FW-0 O

- Status changed from New to [0 00 O In Progress

- % Done changed from 0 to 70

#8 - 2022-12-08 17:49 - CD TPM-0 O O

- Assignee changed from CD FW-0O O to CDBSP O O

- % Done changed from 70 to 90

#9 - 2022-12-22 20:24 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

143207

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

AF:FOTA:add Mcu update test demoAdd the demo of the MCU upgrade for subsequent integrationTC-RID: 1201-02004011ssuelD: TS-R-DF-110694Change-Id:
16f2b2088a436b5b69b45644b4ea2b9f02a485348

#10 - 2022-12-22 20:26 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

143811

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:FOTA:Integrated mcu upgrade test demolntegrated mcu upgrade test demoTC-RID: 1201-0200401Issuel D: TS-R-DF-110694Change-1d:
173134b6b94b7594fc220f546562d044a23337536

#11 - 2022-12-22 20:26 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

144008

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssil2

-dev

shihao0506@thundersoft.com

AF:FOTA:Add mcu upgrade error handlingAfter an upgrade error, the upgrade is no longer requested.And notify Mpu of the error type. TC-RID:
1201-02004011ssuel D: TS-R-DF-110694Change-Id: 13ff01338342a1b4f38d91c470052f5e98a09f11a

#12 - 2022-12-22 20:27 - CD FwW-0O O

Gerrit Merge Information(]

1D Project Branch Uploader

144683 general/platform/vendor/thundercom | Pre_figure_turbox-c2130c-lal.1-gssi12 | shihao0506@thundersoft.com
m/apps/FOTA -dev
AF:FOTA:Add mcu reboot after upgradel. Automatic restart after 5s after successful upgrade2. Repair file read failure causing crashTC-RID:
1201-0200401Issuel D: TS-R-DF-110694Change-I1d: 136fd199e73e8add2f78bee0f5febbf5d0f752686

#13 - 2022-12-22 20:27 - CD Fw-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

144900

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

AF:FOTA:Add mcu reboot private permissionsTC-RID: 1201-0200401IssuelD: TS-R-DF-110694Change-1d: 17a90245b6f29e0bb1a70f7493e6d2db4c82f4113

#14 - 2022-12-22 20:27 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

145294

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:FOTA:Add check mcu version funcTC-RID: 1201-0200401Issuel D: TS-R-DF-110694Change-1d: 1ae0863af65¢5349609bc552dac54b866366e9b81

#15 - 2022-12-22 20:36 - CD FwW-0 O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

151187

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA:First version for SocketWrapperFirst version for SocketWrapperTC-RID: 1201-02004011ssuel D: TS-R-DF-110694Change-1d:
1bb675e2dcc1357e3c9ba312550f988bb27e70a8e

#16 - 2022-12-22 20:36 - CD Fw-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

151322

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

wangwei0629@thundersoft.com

2025-07-04

AF:FOTA:First version for SocketWrapperFirst version for SocketWrapperTC-RID: 1201-02004011ssuelD: TS-R-DF-110694Change-1d:

3/7




13ae6665aa477f79e8edealae95h92a2add 79601

#17 - 2022-12-22 20:37 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

151686

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

peng.wang_e@thundersoft.com

FW:FOTA: Replace the dynamic library of selfinstaller with the static libraryl. Replace Library File2. Modify CMakeLists.txt fileTC-RID: 1201-0200401IssuelD:
TS-R-DF-110694Change-Id: 19db0b15d2f23153a5e9a43ae34c9bb807¢9e961h

#18 - 2022-12-22 20:37 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152147

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

AF:FOTA: Add FOTA function by UpdateEngine. TC-RID: 1201-0200401IssuelD: TS-R-DF-110694Change-Id: lalb1a69f431e4c33ecalcbfdabe75d17d5b99c0b

#19 - 2022-12-22 20:38 - CD FW-O O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

152399

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

tao.liao@thundersoft.com

AF:FOTA: Remove post_build property.1. Remove post_build property;2. Modfiy update logical and update.zip file dir; TC-RID: 1201-0200401lssuelD:
TS-R-DF-110694Change-Id: 15d8188373eeba85c53287510b76ae200beecee71

#20 - 2022-12-22 20:38 - CD FwW-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

152678

general/vendor/thundercomm/produc

ts/sepolicy_vndr

Pre_figure_turbox-c2130c-lal.1-vendo

r-dev

wangwei0629@thundersoft.com

FW:FOTA: Add FOTA function by UpdateEngine. TC-RID: 1201-0200401Issuel D: TS-R-DF-110694Change-1d: 1004d665e254e7392541607b0bc11dfe9079c00d3

2025-07-04

47




#21 - 2022-12-22 20:39 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

152680

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA: Add FOTA function by UpdateEngine. TC-RID: 1201-0200401lssuelD: TS-R-DF-110694Change-Id: le4ed59d95fbc71622f7f2cfaaal5ff6ea280a787

#22 - 2022-12-22 20:39 - CD Fw-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

152747

general/platform/system/core

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA: Add FOTA function by UpdateEngine. TC-RID: 1201-0200401IssuelD: TS-R-DF-110694Change-Id: 198dded8b4f324eac6dadactb13912b4e5f8dc8bf

#23 - 2022-12-22 20:39 - CD Fw-0O O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

152902

general/platform/system/core

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA: Revert selinux rule for debug.rcThis reverts commit 6256e066¢9c4aa68f589de30a5722hbf28757ecc. TC-RID: 1201-0200401Issuel D:
TS-R-DF-110694Change-Id: 1b74fc05707cfa3fbd8a4d1568811791e0afdc0a8

#24 - 2022-12-22 20:39 - CD FW-0 O

Gerrit Merge Information(

1D

Project

Branch

Uploader

153006

general/platform/system/update_engin

€

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA: Add FOTA function by UpdateEngine.Add selinux role for systempropertyTC-RID: 1201-0200401lssuelD: TS-R-DF-110694Change-Id:
leafdd9f34chf2a205dd5f56e80f39a41d093420f

#25 - 2022-12-22 20:39 - CD Fw-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

153009

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

tao.liao@thundersoft.com

2025-07-04

5/7




AF:FOTA: Opt ota update logical, perfect error message. TC-RID: 1201-02004011ssuel D: TS-R-DF-110694Change-1d:
120264694846dda91c930ca2fc065983f1fa5c869

#26 - 2022-12-22 20:43 - CD Fw-0O O

Gerrit Merge Information]

1D

Project

Branch

Uploader

155343

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:FOTA:Fix SocketWrapper pase json erroradd json file to systemadd start service when boot completemodif selfinstaller file nameTC-RID:
1201-02004011Issuel D: TS-R-DF-110694Change-Id: 19f473cclfee54851dec17a7b021edfa867105881

#27 - 2022-12-22 20:44 - CD FW-0 O

Gerrit Merge Informationd

1D

Project

Branch

Uploader

155657

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12
-dev

shihao0506@thundersoft.com

AF:FOTA:add selfinstaller se permission AccessTC-RID: 1201-02004011ssuelD: TS-R-DF-110694Change-Id: 154124703ea9660f5d132800e2b3bcaf996da06a0

#28 - 2022-12-22 20:44 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

156249

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssil2
-dev

shihao0506@thundersoft.com

AF:FOTA:add log for updaterwrapperTC-RID: 1201-0200401IssuelD: TS-R-DF-110694Change-1d: lae4ea0613997¢53814ddc5b49d3394f399a32349

#29 - 2022-12-22 20:44 - CD FW-0O O

Gerrit Merge Information(]

1D

Project

Branch

Uploader

156252

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:FOTA:modif selfinstaller se permission AccessTC-RID: 1201-02004011ssuelD: TS-R-DF-110694Change-1d: 192d498fed173aebaae49ef645aclcee7f22e7ac9

2025-07-04
#30 - 2022-12-22 20:47 - CD FW-0O O

Gerrit Merge Information(

1D

Project

Branch

Uploader

158344

general/platform/vendor/thundercom
m/apps/FOTA

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

wangwei0629@thundersoft.com

AF:FOTA:Compile selfinstaller in android bp modeTC-RID: 1201-02004011ssuelD: TS-R-DF-110694Change-1d: 14de193f3d5f96362830a6381dd63ab02647f9f52

#31 - 2022-12-22 20:47 - CD Fw-0 O
Gerrit Merge Information(]

1D

Project

Branch

Uploader

158468

general/device/thundercomm/TCDEV

Pre_figure_turbox-c2130c-lal.1-gssi12

-dev

shihao0506@thundersoft.com

AF:FOTA:modif selfinstaller se permission AccessTC-RID: 1201-02004011ssuel D: TS-R-DF-110694Change-Id: 14d26afccd7dba22ef4e9bc0abb9c7522356bb0da

#32 - 2023-05-19 18:14 - CD BSP 0 O

- Status changed from O O O In Progressto O OO Closed

2025-07-04

1




